Bug 832765 - beta2 3.1 - bridgeless networks are persisted within libvirt on creation
beta2 3.1 - bridgeless networks are persisted within libvirt on creation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
:
: 853208 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 05:25 EDT by Dan Kenigsberg
Modified: 2012-12-04 13:59 EST (History)
10 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Automated rollback of networking changes in error is not supported in this beta. Manual rebooting of the impacted virtualization hosts, or restoration of their networking configuration, may be required to work around this issue. Working rollback functionality will be provided in a future update.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2012-06-17 05:25:00 EDT
Description of problem:
Changes to networking via addNetwork/delNetwork/setupNetwork etc must take effect immediately, but should not be persisted until setSafeNetworkConfig is called. This is not the case with bridgeless networks.

Version-Release number of selected component (if applicable):
vdsm-4.9.6-16

How reproducible:


Steps to Reproduce:
1. /usr/share/vdsm/addNetwork test '' bond4 eth4 bridged=False
2. restart vdsmd
3. bond4 is broken, but `virsh -r net-list` show vdsm-test.
  
Expected results:
bridgeless network should not survive restart, just like other networking elements.
Comment 1 Dan Kenigsberg 2012-06-24 10:55:03 EDT
as the clientIF comment says:

        # this should probably go into vdsm-restore-net script
        for network in nets:
            if nets[network]['bridged'] and network not in bridges:
                configNetwork.removeLibvirtNetwork(network)
Comment 2 Stephen Gordon 2012-08-14 15:13:49 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Automated rollback of networking changes in error is not supported in this beta. Manual rebooting of the impacted virtualization hosts, or restoration of their networking configuration, may be required to work around this issue. Working rollback functionality will be provided in a future update.
Comment 3 Igor Lvovsky 2012-08-15 10:38:35 EDT
http://gerrit.ovirt.org/#/c/6991/
Comment 5 Meni Yakove 2012-08-23 03:30:17 EDT
Verified on vdsm-4.9.6-29.0.el6_3.x86_64
Comment 6 Igor Lvovsky 2012-09-02 07:25:11 EDT
*** Bug 853208 has been marked as a duplicate of this bug. ***
Comment 8 errata-xmlrpc 2012-12-04 13:59:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.